Skip to main content
Nowledge MemNowledge Mem

Update Import Config

PUT
/threads/import-config

Update import configuration.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request for updating import config.

Response Body

application/json

application/json

curl -X PUT "https://example.com/threads/import-config" \  -H "Content-Type: application/json" \  -d '{}'
{  "auto_import_rules": [    {      "created_at": 0,      "enabled": true,      "id": "string",      "type": "string",      "value": "string"    }  ],  "cursor_poll_interval": 30,  "dedup_window_seconds": 60,  "hidden_projects": [    "string"  ],  "hidden_sessions": [    "string"  ],  "show_hidden_by_default": false,  "watched_platforms": [    "string"  ],  "watched_projects": [    "string"  ],  "watcher_enabled": false}